Skip to content
Start here

Get a zone snippet

client.snippets.get(stringsnippetName, SnippetGetParams { zone_id } params, RequestOptionsoptions?): SnippetGetResponse { created_on, snippet_name, modified_on }
GET/zones/{zone_id}/snippets/{snippet_name}

Fetches a snippet belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets WriteSnippets Read
ParametersExpand Collapse
snippetName: string

Identify the snippet.

params: SnippetGetParams { zone_id }
zone_id: string

Use this field to specify the unique ID of the zone.

ReturnsExpand Collapse
SnippetGetResponse { created_on, snippet_name, modified_on }

Contain the response result.

created_on: string

Indicates when the snippet was created.

formatdate-time
snippet_name: string

Identify the snippet.

modified_on?: string

Indicates when the snippet was last modified.

formatdate-time

Get a zone snippet

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const snippet = await client.snippets.get('my_snippet', {
  zone_id: '9f1839b6152d298aca64c4e906b6d074',
});

console.log(snippet.created_on);
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {
    "created_on": "2000-01-01T00:00:00.000000Z",
    "snippet_name": "my_snippet",
    "modified_on": "2000-01-01T00:00:00.000000Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {
    "created_on": "2000-01-01T00:00:00.000000Z",
    "snippet_name": "my_snippet",
    "modified_on": "2000-01-01T00:00:00.000000Z"
  },
  "success": true
}